Bug 425863 - Choosing ascii/iso8859-13 font-preview in the fontselector causes segfault
Choosing ascii/iso8859-13 font-preview in the fontselector causes segfault
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: lesstif (Show other bugs)
11
i686 Linux
low Severity low
: ---
: ---
Assigned To: Jon Ciesla
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-16 16:46 EST by A. Lok
Modified: 2010-06-28 06:30 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 06:30:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Stacktrace (3.03 KB, text/plain)
2007-12-16 16:46 EST, A. Lok
no flags Details

  None (edit)
Description A. Lok 2007-12-16 16:46:10 EST
Description of problem:
When choosing an font with 'ascii' or 'iso8859-13' encoding in the font-selector
nedit segfaults.

Version-Release number of selected component (if applicable):
nedit-5.5-13.fc8

How reproducible / Steps to Reproduce:
1. start nedit
2. Select Preferences > Text Fonts... from the menu
3. Select 'Browse'
4. In the 'Font Selector' choose for example 'Size:12' and 'Style:medium'
   the size or style doesn't matter, they're just selected to get a font-preview
5. Now choose a font which has 'ascii' or 'iso 8859, 13' in it
  
Actual results:
segfault

Expected results:
A preview of the font

Additional info:
It only happens in the font-selector screen. Specifying the afore mentioned font
in ~/.nedit/nedit.rc doesn't cause a segfault. (for example setting it to 
"-b&h-luxi mono-medium-*-*-*-12-*-*-*-*-*-ascii-0") Unless the font-selector
screen is called up.
Comment 1 A. Lok 2007-12-16 16:46:10 EST
Created attachment 289728 [details]
Stacktrace
Comment 2 Jindrich Novy 2007-12-17 02:39:58 EST
Well, while looking into the backtrace I see that nedit crashes deeply in
lesstif and the call of the font selector widget from nedit look perfectly sane,
so it's most likely bug in lesstif. Just to let me reproduce it myself, could
you point me which fonts do you use? I have no ascii nor iso-8859-13 fonts
installed on my system and the font selector dialog doesn't crash for me.
Comment 3 A. Lok 2007-12-17 05:17:58 EST
Yes, selecting one of the following fonts causes a segfault:

ar pl shanheisun uni (misc, ascii, 0)
ar pl shanheisun uni (misc, iso8859, 13)
luxi mono (b&h, ascii, 0)
luxi mono (b&h, iso8859, 13)
baekmuk gulim (misc, ascii, 0)
sazanami gothic (misc, ascii, 0)


I don't exactly know how to relate these names to packages, so I'll post the
output from 'rpm -qa|grep fonts' instead:

xorg-x11-fonts-misc-7.2-3.fc8
xorg-x11-fonts-Type1-7.2-3.fc8
liberation-fonts-0.2-3.fc8
sazanami-fonts-gothic-0.20040629-4.20061016.fc8
kacst-fonts-1.6.2-2.fc8
ghostscript-fonts-5.50-18.fc8
xorg-x11-fonts-ISO8859-1-100dpi-7.2-3.fc8
tetex-fonts-3.0-44.3.fc8
urw-fonts-2.4-2.fc8
dejavu-lgc-fonts-2.19-1
xorg-x11-fonts-100dpi-7.2-3.fc8
baekmuk-ttf-fonts-common-2.2-6.fc8
bitmap-fonts-0.3-5.1.2.fc7
cjkunifonts-uming-0.1.20060928-4.fc8
baekmuk-ttf-fonts-gulim-2.2-6.fc8
xorg-x11-fonts-truetype-7.2-3.fc8
xorg-x11-fonts-ISO8859-15-100dpi-7.2-3.fc8


BTW, I also tried nedit on a fedora 8 i386-livecd, and could reproduce the
segfault there too with any of the already available ascii/iso8859-13 fonts.
The version of lesstif is 0.95.0-20.fc8.
Comment 4 Jindrich Novy 2007-12-18 04:24:20 EST
It is strange, I cannot reproduce it with:

baekmuk gulim (misc, ascii, 0)
sazanami gothic (misc, ascii, 0)

fonts on x86_64
(sazanami-fonts-gothic-0.20040629-4.20061016.fc8.noarch and
baekmuk-ttf-fonts-gulim-2.2-6.fc8.noarch)

lesstif-0.95.0-20.fc8.x86_64

Also luxi mono (b&h, iso8859, 13) works perfectly.
Comment 5 A. Lok 2007-12-18 15:22:30 EST
Indeed really strange. 

Just to verify I've tried the x86_64-livecd on my desktop pc  and did a 'yum
install nedit' which pulled in the following packages:
nedit.x86_64 0:5.5-13.fc8
lesstif.x86_64 0:0.95.0-20.fc8
libXp.x86_64 0:1.0.0-8.fc8

(The same version of the fonts you mention in comment 4 were already available
by default) And I can reproduce the segfault without any problems.

To summarize I've been able to reproduce this problem on 2 different machines
and 2 architectures.

It might be possible that the problem lies within lesstif but I don't know any
other motif/lesstif-application which use the font-preview.
Comment 6 Jindrich Novy 2008-01-09 09:44:41 EST
I managed to make nedit crash on my colleagues' machine. It crashes deeply
within the font selector lesstif dialog:

#0  FontSize (w=0x872c858) at TextF.c:721
#1  0x00d3145a in set_values (current=0xbfe7b360, request=0xbfe7b040,
reply=0x872c858, args=0xbfe7b844, nargs=0xbfe7afe8) at TextF.c:1630
#2  0x00c186cd in ?? () from /usr/lib/libXt.so.6
#3  0x00c18fa1 in XtSetValues () from /usr/lib/libXt.so.6
#4  0x080e6048 in XmCreateErrorDialog () at MessageB.c:1419
#5  0x080e60f0 in XmCreateErrorDialog () at MessageB.c:1419
#6  0x080e7910 in XmCreateErrorDialog () at MessageB.c:1419
#7  0x00bf344b in XtCallCallbackList () from /usr/lib/libXt.so.6
#8  0x00ce91f4 in _XmListInvokeCallbacks (w=0x8738228, event=<value
optimized out>, default_action=<value optimized out>) at List.c:2361
#9  0x00c293c1 in ?? () from /usr/lib/libXt.so.6
#10 0x00c2979a in ?? () from /usr/lib/libXt.so.6
#11 0x00c29d9b in _XtTranslateEvent () from /usr/lib/libXt.so.6
#12 0x00c01685 in XtDispatchEventToWidget () from /usr/lib/libXt.so.6
#13 0x00c01e0a in ?? () from /usr/lib/libXt.so.6
#14 0x00c00ce7 in XtDispatchEvent () from /usr/lib/libXt.so.6
#15 0x00c0db2e in XtAppProcessEvent () from /usr/lib/libXt.so.6
#16 0x080e71fe in XmCreateErrorDialog () at MessageB.c:1419
#17 0x0807c5b5 in XmCreateErrorDialog () at MessageB.c:1419
#18 0x00bf33da in XtCallCallbackList () from /usr/lib/libXt.so.6
#19 0x00cfff91 in Activate (w=0x8721c60, event=0xbfe7c788, params=0x0,
num_params=0x86627c8) at PushB.c:1045
#20 0x00c293c1 in ?? () from /usr/lib/libXt.so.6
#21 0x00c29a9b in _XtTranslateEvent () from /usr/lib/libXt.so.6
#22 0x00c01685 in XtDispatchEventToWidget () from /usr/lib/libXt.so.6
#23 0x00c01e0a in ?? () from /usr/lib/libXt.so.6
#24 0x00c00ce7 in XtDispatchEvent () from /usr/lib/libXt.so.6
#25 0x00c00e9c in XtAppMainLoop () from /usr/lib/libXt.so.6
#26 0x0804f644 in XmCreateErrorDialog () at MessageB.c:1419
#27 0x00a2f390 in __libc_start_main () from /lib/i686/nosegneg/libc.so.6
#28 0x0804e621 in XmCreateErrorDialog () at MessageB.c:1419

so reassigning to lesstif.
Comment 7 Patrice Dumas 2008-01-10 04:41:18 EST
I cannot reproduce it with sazanami-fonts-gothic. But this indeed
looks like a lesstif bug.
Comment 8 Bug Zapper 2008-11-26 04:01:48 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Hans de Goede 2008-12-16 10:09:19 EST
Hi all,

Short intro: Patrice is stepping down as maintainer of lesstif and I'm the new
maintainer, so I'm re-assigning this to me. I have no idea if and when I will
find the time to look into this.

Regards,

Hans
Comment 10 Bug Zapper 2009-06-09 05:23:15 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2010-04-27 07:51:39 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2010-06-28 06:30:37 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.